<?php

require_once 'crud/resource-cd.php';

$folderLocation = getenv('OBJ_LOCATION');

if ($_SERVER["REQUEST_METHOD"] == "GET") {
    if (!isset($_GET['owner']) || !isset($_GET['fileType']) || !isset($_GET['fileName'])) {
        http_response_code(400);
        return;
    }

    $owner = $_GET['owner'];
    $fileType = $_GET['fileType'];
    $fileName = $_GET['fileName'];

    $location = getenv('OBJ_LOCATION');
    $filePath = $location.'/'.formFilename($owner, $fileType, $fileName);
    if (!is_file($filePath) || !file_exists($filePath)) {
        http_response_code(404);
        return;
    }

    header('Content-Description: File Transfer');
    header('Content-Type: '.mime_content_type($filePath));
    header('Content-Length: '.filesize($filePath));
    header('Content-Disposition: attachment; filename="'.basename($filePath).'"');
    header('Content-Transfer-Encoding: binary');
    readfile($filePath);

    http_response_code(200);
} else if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if (!isset($_FILES['file']) || !isset($_POST['owner']) || !isset($_POST['fileType'])
        || !isset($_POST['fileName']) || !isset($_POST['password'])) {
        http_response_code(400);
        return;
    }

    $tmpName = $_FILES['file']['tmp_name'];
    $owner = $_POST['owner'];
    $fileType = $_POST['fileType'];
    $fileName = $_POST['fileName'];

    $responseCode = createResource($owner, $fileType, $fileName, $tmpName);
    http_response_code($responseCode);
}else if ($_SERVER["REQUEST_METHOD"] == "DELETE") {
    parse_str(file_get_contents("php://input"), $data);
    if (!isset($data['owner']) || !isset($data['fileType'])
        || !isset($data['fileName']) || !isset($data['password'])) {
        http_response_code(400);
        exit();
    }

    $owner = $data['owner'];
    $fileType = $data['fileType'];
    $fileName = $data['fileName'];
    $password = $data['password'];
    $responseCode = deleteResource($owner, $fileType, $fileName, $password);
    http_response_code($responseCode);
} else {
    http_response_code(500);
}