<?php

require_once 'util/crud-util.php';
require_once 'auth/authentication.php';

function createResource(string $owner, string $fileType, string $fileName, string $tmpName): int {
    if (!(isset($_POST['password']) && authenticate($_POST['password']))) {
        return 401; // unauthorized
    }
    if (isObjectExists($owner, $fileType, $fileName)) {
        return 403; // bad request
    }

    $location = getenv('OBJ_LOCATION');
    $res = move_uploaded_file($tmpName, $location.'/'.formFilename($owner, $fileType, $fileName));
    if (!$res) {
        return 500; // unexpected error
    }
    return 200; // success
}

function deleteResource(string $owner, string $fileType, string $fileName, string $password): int {
    if (!authenticate($password)) {
        return 401; // unauthorized
    }
    if (!isObjectExists($owner, $fileType, $fileName)) {
        return 403; // bad request
    }

    $location = getenv('OBJ_LOCATION');
    $res = unlink( $location.'/'.formFilename($owner, $fileType, $fileName));
    if (!$res) {
        return 500; // unexpected error
    }
    return 200; // success
}