create table if not exists account (
     account_id serial primary key,
     username varchar(30) unique,
     password varchar(60),
     is_admin smallint
);

create table if not exists token (
   token_id serial primary key,
   account_id int unique,
   token varchar(60) unique,
   foreign key (account_id) references account(account_id)
);

create table if not exists album (
   album_id serial primary key,
   name varchar(255) not null,
--    artist varchar(255) not null ,
   year int,
   owner_account_id int,
   album_cover_filename varchar(255),
   foreign key (owner_account_id) references account(account_id)
);

create table if not exists music (
    music_id serial primary key,
    title varchar(255) not null,
--     artist varchar(255) not null,
    album_id int not null,
    genre varchar(255),
    year int,
    duration int not null,
    owner_account_id int,
    music_filename varchar(255),
    foreign key (album_id) references album(album_id),
    foreign key (owner_account_id) references account(account_id)
);

CREATE INDEX if not exists account_username_index ON account USING hash(username);