<?php

require_once 'auth/authorizer.php';
require_once 'auth/token.php';
require_once 'db/db-executor.php';
require_once 'crypto/password.php';

function registerAccount(string $username, string $password, bool $admin): string {
    $query = "INSERT INTO account (username, password, is_admin) VALUES(:username, :password, :isAdmin)
                RETURNING account_id";
    $params = [
        'username' => $username,
        'password' => hashPassword($password),
        'isAdmin' => (int) $admin
    ];

    $res = execSelect($query, $params);
    return getToken($res[0]['account_id']);
}