<?php


function getToken(string $accountId): string {
    $query = 'SELECT token FROM token WHERE account_id = :accountId LIMIT 1';
    $params = [
        'accountId' => $accountId
    ];

    $res = execSelect($query, $params);
    if (!empty($res)) {
        return $res[0]['token'];
    }

    $token = '';
    while ($token == '') {
        try {
            $token = bin2hex(random_bytes(30));
        } catch (Exception $e) {

        }
    }
    $query = "INSERT INTO token (account_id, token) VALUES(:accountId, :token)";
    $params = [
        'accountId' => $accountId,
        'token' => $token
    ];

    execute($query, $params);
    return $token;
}

function deleteToken(string $accountId) {
    $query = 'DELETE FROM token WHERE account_id = :accountId';
    $params = [
        'accountId' => $accountId
    ];

    execute($query, $params);
}