<?php

require_once 'util/account-util.php';
require_once 'auth/authenticator.php';

$errMsg = '';

if (isset($_COOKIE['token'])) {
    header('Location: /', true, 303);
    exit();
}

if ($_SERVER["REQUEST_METHOD"] == "GET") {
    require 'presentation/account/login.view.php';
} else if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if (!isset($_POST["username"]) || !isset($_POST["password"])) {
        header("Location: /403", true, 303);
        exit();
    }

    $username = $_POST["username"];
    $password = $_POST["password"];

    if (!verifyCreds($_POST['username'], $_POST['password'])) {
        $errMsg = 'Invalid username/password, length must be < 30 and > 0.';
        require 'presentation/account/register.view.php';
        exit();
    }

    $res = '';
    try {
        $res = authenticateCredentials(username: $username, password: $password);
    } catch (Exception $e) {
        header("Location: /500", true, 303);
        exit();
    }

    if ($res) {
        setcookie("token", $res, time() + 1 * 365 * 24 * 60 * 60, "/");
        $redirectLoc = '/';
        if (isset($_GET['r'])) {
            $redirectLoc = $_GET['r'];
        }
        header("Location: ".$redirectLoc, true, 303);
        exit();
    }
    $errMsg = 'Invalid username or password.';
    require 'presentation/account/login.view.php';
}