<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="/presentation/home/js/home.js" defer></script>
    <link rel="stylesheet" type="text/css" href="/presentation/home/css/home.css">
    <link rel="stylesheet" type="text/css" href="/presentation/template/css/sidebar.css">
    <link rel="stylesheet" type="text/css" href="/presentation/template/css/navbar.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500&display=swap" rel="stylesheet">
    <title>Home</title>
</head>
<body>
    <div class="wrapper">
    <!-- Sidebar -->
    <?php include('presentation/template/sidebar.php') ?>
        <div class="main-wrapper">
            <!-- Navigation Bar -->
            <?php include('presentation/template/navbar.php') ?>
            <section class="container-album">
                <div class="category">
                    <?php if(isset($eightalbums[0])) {?>
                        <h2>Albums for you</h2>
                        <div class="album-wrapper">
                            <?php 
                                foreach ($eightalbums as $row) { ?>
                                    <div class="album" id=<?php echo $row['album_id']?> >
                                        <img src="<?php echo getAlbumImageByID($row['album_id']) ?>" alt="Playlist 1">
                                        <h3><?php echo $row['name'] ?></h3>
                                        <p><?php echo $row['year'] ?></p>
                                    </div>  
                            <?php } ?>
                        </div>
                        <?php } else {
                            if($isAdmin) {?>
                                <h2>There are no album on KMS! Go add some!</h2>
                            <?php } else {?>
                                <h2>There are no album on KMS! Wait for admin to add some!</h2>
                            <?php } ?>
                        <?php } ?>

                </div>
            </section>
        </div>
    </div>
</body>
</html>
