<?php

require_once 'db/db-executor.php';
require_once 'auth/authorizer.php';
require_once 'music/album.php';
require_once 'util/album-util.php';

$accountId = authorizeAdmin($_COOKIE['token']);
if (!$accountId) {
    header('Location: /404', true, 303);
    exit(); // invalid token
}

if ($_SERVER["REQUEST_METHOD"] == "GET") {
    require 'presentation/music/add/album.view.php';
} else if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if (!isset($_POST['title']) || !isset($_POST['year']) || !file_exists($_FILES['file']['tmp_name'])
        || !is_uploaded_file($_FILES['file']['tmp_name'])) {
        header('Location: /album/add?err=1', true, 303);
        exit();
    }

    $year = $_POST['year'];
    $title = $_POST['title'];
    if (!isAlbumDataValid(albumName: $title, year: $year)) {
        header('Location: /album/add?err=2', true, 303);
        exit();
    }

    $response = addAlbum(accountId: $accountId, albumName: $title, year: $year);
    if ($response == 200) {
        header('Location: /album/add', true, 303);
    } else  {
        $redirect = '500';
        if ($response == 403) {
            $redirect = 'album/add?err=3';
        }
        header('Location: /'.$redirect, true, 303);
    }
}