<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Add Album</title>
        <script src="/presentation/music/add/js/album.js"></script>
        <link rel="stylesheet" href="/presentation/music/add/css/add-album.css">
        <link rel="stylesheet" type="text/css" href="/presentation/template/css/sidebar.css">
        <link rel="stylesheet" type="text/css" href="/presentation/template/css/navbar.css">
        <link rel="preconnect" href="https://fonts.googleapis.com%22%3E/">
        <link rel="preconnect" href="https://fonts.gstatic.com/" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500&display=swap" rel="stylesheet">
    </head>
    <body>
    <div class="wrapper">
        <?php include('presentation/template/sidebar.php') ?>
        <div class="main-wrapper">
            <?php include('presentation/template/navbar.php') ?>

            <div id="title">Add Album</div>
            <div class="img-container">
                <img src="/presentation/images/defalbum.jpg" alt="Album">
            </div>
            <div id="err-msg">
                <?php
                if (isset($_GET['err'])) {
                    $errC = $_GET['err'];
                    switch ($errC) {
                        case 1:
                            echo 'Please fill all the fields.';
                            break;
                        case 2:
                            echo 'Invalid data.';
                            break;
                        case 3:
                            echo 'You already have an album cover with the same file name.';
                            break;
                        default:
                            break;
                    }
                }
                ?>
            </div>
            <div class="fields" id="form-d">
                <form id="form" method="POST" enctype="multipart/form-data" onsubmit="return validate()">
                    <input type="text" name="title" class="input" id="input-title" placeholder="Album Title (Max. 255 characters)">
                    <input type="text" name="year" class="input" id="input-year" placeholder="Year">
                    <label for="input-file" id="input-label">Select album cover (Max. 15 MB)</label>
                    <input type="file" name="file" id="input-file" placeholder="file" accept="image/jpeg, image/png">
                    <div id="submit-d">
                        <input type="submit" id="submit-b" value="Save">
                    </div>
                    <div id="cancel-d">
                        <a href="#" id="cancel-b">Cancel</a>
                    </div>
                </form>
            </div>
        </div>
    </div>
    </body>
</html>