<?php

require_once 'db/db-executor.php';
require_once 'util/album-util.php';
require_once 'util/music-util.php';
require_once 'music/music.php';
require_once 'auth/authorizer.php';

$accountId = authorizeAdmin($_COOKIE['token']);
if (!$accountId) {
    header('Location: /404', true, 303);
    exit(); // invalid token
}

if ($_SERVER["REQUEST_METHOD"] == "GET") {
    require 'presentation/music/add/music.view.php';
} else if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if (!isset($_POST['title']) ||!isset($_POST['album']) || !isset($_POST['genre'])
        || !isset($_POST['year']) || !file_exists($_FILES['file']['tmp_name'])
        || !is_uploaded_file($_FILES['file']['tmp_name'])) {
        header('Location: /music/add?err=1', true, 303);
        exit();
    }

    $title = $_POST['title'];
    $genre = $_POST['genre'];
    $year = $_POST['year'];
    $albumId = $_POST['album'];
    if (!isMusicDataValid(title: $title, genre: $genre, albumId: $albumId, year: $year)) {
        header('Location: /music/add?err=2', true, 303);
        exit();
    }

    $response = addMusic(accountId: $accountId, title: $title, genre: $genre, year: $year, albumId: $albumId);
    if ($response == 200) {
        header('Location: /music/add', true, 303);
    } else  {
        $redirect = '500';
        if ($response == 403) {
            $redirect ='music/add?err=3';
        } else if ($response == 450) {
            $redirect ='music/add?err=4';
        }
        header('Location: /'.$redirect, true, 303);
    }
}