<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Add Music</title>
    <script src="/presentation/music/add/js/music.js"></script>
    <link rel="stylesheet" href="/presentation/music/add/css/add-music.css">
    <link rel="stylesheet" type="text/css" href="/presentation/template/css/sidebar.css">
    <link rel="stylesheet" type="text/css" href="/presentation/template/css/navbar.css">
    <link rel="preconnect" href="https://fonts.googleapis.com%22%3E/">
    <link rel="preconnect" href="https://fonts.gstatic.com/" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500&display=swap" rel="stylesheet">
</head>
<body>
<div class="wrapper">
    <?php
        require 'presentation/template/sidebar.php'
    ?>
    <div class="main-wrapper">
        <?php
            require 'presentation/template/navbar.php';
        ?>
        <p id="title">Add Music</p>
        <div id="err-msg">
            <?php
                if (isset($_GET['err'])) {
                    $errC = $_GET['err'];
                    switch ($errC) {
                        case 1:
                            echo 'Please fill all the fields.';
                            break;
                        case 2:
                            echo 'Invalid data, please recheck all the data including the file.';
                            break;
                        case 3:
                            echo 'You already have a music with the same file name.';
                            break;
                        case 4:
                            echo 'Invalid album number.';
                            break;
                        default:
                            break;
                    }
                }
            ?>
        </div>
        <div class="fields" id="form-d">
            <form id="form" method="post" enctype="multipart/form-data" onsubmit="return validate()">
                <input type="text" name="title" class="input" id="input-title" placeholder="Title (Max. 255 characters)">
                <input type="text" name="album" class="input" id="input-album" placeholder="Album id">
                <input type="text" name="genre" class="input" id="input-genre" placeholder="Genre (Max. 255 characters)">
                <input type="text" name="year" class="input" id="input-year" placeholder="Year">
                <label for="input-file" id="input-label">Select music file (Max. 120 MB)</label>
                <input type="file" name="file" id="input-file" placeholder="file" accept="audio/mpeg">
                <div id="submit-d">
                    <input type="submit" id="submit-b" value="Save">
                </div>
                <div id="cancel-d">
                    <a href="#" id="cancel-b">Cancel</a>
                </div>
            </form>
        </div>
    </div>
</div>

</body>
</html>