<?php

require_once 'auth/authorizer.php';

$accountId = authorizeAdmin($_COOKIE['token']);
if (!$accountId) {
    header('Location: /404', true, 303);
    exit(); // invalid token
}

if ($_SERVER["REQUEST_METHOD"] == "GET") {
    require 'presentation/music/edit/editAlbum.view.php';
} else if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if ($_FILES['file']['error'] == UPLOAD_ERR_OK) {
        execute("UPDATE album SET name = :name/*, artist = :artist*/, year = :year, owner_account_id = :owner_account_id, album_cover_filename = :album_cover_filename WHERE album_id = :id",
            ['name' => $_POST['name'],
//                'artist' => $_POST['artist'],
                'year' => $_POST['year'],
                'id' => $_POST['id'],
                'owner_account_id' => $accountId,
                'album_cover_filename' => $_FILES['file']['name']
            ]
        );

        $curl = curl_init('object-storage:80/object');
        curl_setopt($curl, CURLOPT_POST, true);
        curl_setopt(
            $curl,
            CURLOPT_POSTFIELDS,
            array(
                'file' => new CURLFile($_FILES['file']['tmp_name']),
                'password'  => getenv('OBJ_STORAGE_PASS'),
                'owner' => $accountId, // account id,
                'fileType' => 'album-cover',
                'fileName' => $_FILES['file']['name']
            ));

        // execute the request
        $result = curl_exec($curl);
        curl_close($curl);
    } else {
        execute("UPDATE album SET name = :name/*, artist = :artist*/, year = :year, owner_account_id = :owner_account_id WHERE album_id = :id",
            ['name' => $_POST['name'],
//                'artist' => $_POST['artist'],
                'year' => $_POST['year'],
                'id' => $_POST['id'],
                'owner_account_id' => $accountId
            ]
        );
    }

    header('Location: /album/edit?id=' . $_POST['id'], true, 303);
} else if ($_SERVER["REQUEST_METHOD"] == "DELETE") {

    $data = json_decode(file_get_contents('php://input'), true);
    $curl = curl_init('object-storage:80/object');

    $album_cover_filename = execSelect("SELECT album_cover_filename FROM album WHERE album_id = :id", ['id' => $data['id']])[0]['album_cover_filename'];

    curl_setopt($curl, CURLOPT_CUSTOMREQUEST, 'DELETE');
    curl_setopt(
        $curl,
        CURLOPT_POSTFIELDS,
        http_build_query(
            array(
                'password'  => getenv('OBJ_STORAGE_PASS'),
                'owner' => $data['account_id'], // account id,
                'fileType' => 'album-cover',
                'fileName' => $album_cover_filename
            )
        ));
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    curl_exec($curl);

    execute("DELETE FROM album WHERE album_id = :id", ['id' => $data['id']]);

    header('Location: /album/edit?id=' . $data['id'], true, 303);
}