<?php

function getAlbumName(mixed $album_id) {
    $result = execSelect("SELECT name FROM album WHERE album_id = :id", ['id' => $album_id]);
    return $result[0]['name'];
}

function getAlbumImageFromMusic(): string {
    $image = '/presentation/music/edit/img/defalbum.jpg';

    if (!isset($_GET['id'])) {
        return $image;
    }

    // get album id from db
    $album_id = execSelect("SELECT album_id FROM music WHERE music_id = :id", ['id' => $_GET['id']])[0]['album_id'];

    // get album cover filename from db
    $q_result = execSelect("SELECT owner_account_id, album_cover_filename FROM album WHERE album_id = :id", ['id' => $album_id]);
    $accountId = $q_result[0]['owner_account_id'];

    if (count($q_result) != 0) {
        $filename = $q_result[0]['album_cover_filename'];

        // prepare curl request
        $url = 'object-storage:80/object';

        $data = http_build_query(array(
            'owner' => $accountId, // account id,
            'fileType' => 'album-cover',
            'fileName' => $filename
        ));
        $getUrl = $url.'?'.$data;

        $curl = curl_init($getUrl);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        $result = curl_exec($curl);

        if (!curl_errno($curl) && curl_getinfo($curl, CURLINFO_HTTP_CODE) == 200) {
            $contentType = curl_getinfo($curl, CURLINFO_CONTENT_TYPE);
            $image = 'data:'.$contentType.';base64,'.base64_encode($result);
        }
        curl_close($curl);
    }

    return $image;
}

function getAlbumImage(): string {
    $image = '/presentation/music/edit/img/defalbum.jpg';

    if (!isset($_GET['id'])) {
        return $image;
    }

    // get album cover filename from db
    $q_result = execSelect("SELECT owner_account_id, album_cover_filename FROM album WHERE album_id = :id", ['id' => $_GET['id']]);
    $accountId = $q_result[0]['owner_account_id'];

    if (count($q_result) != 0) {
        $filename = $q_result[0]['album_cover_filename'];

        // prepare curl request
        $url = 'object-storage:80/object';

        $data = http_build_query(array(
            'owner' => $accountId, // account id,
            'fileType' => 'album-cover',
            'fileName' => $filename
        ));
        $getUrl = $url.'?'.$data;

        $curl = curl_init($getUrl);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        $result = curl_exec($curl);

        if (!curl_errno($curl) && curl_getinfo($curl, CURLINFO_HTTP_CODE) == 200) {
            $contentType = curl_getinfo($curl, CURLINFO_CONTENT_TYPE);
            $image = 'data:'.$contentType.';base64,'.base64_encode($result);
        }
        curl_close($curl);
    }

    return $image;
}

function getAlbumImageByID($id): string {
    $image = '/presentation/music/edit/img/defalbum.jpg';

    // get album cover filename from db
    $q_result = execSelect("SELECT owner_account_id, album_cover_filename FROM album WHERE album_id = :id", ['id' => $id]);
    $accountId = $q_result[0]['owner_account_id'];

    if (count($q_result) != 0) {
        $filename = $q_result[0]['album_cover_filename'];

        // prepare curl request
        $url = 'object-storage:80/object';

        $data = http_build_query(array(
            'owner' => $accountId, // account id,
            'fileType' => 'album-cover',
            'fileName' => $filename
        ));
        $getUrl = $url.'?'.$data;

        $curl = curl_init($getUrl);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        $result = curl_exec($curl);

        if (!curl_errno($curl) && curl_getinfo($curl, CURLINFO_HTTP_CODE) == 200) {
            $contentType = curl_getinfo($curl, CURLINFO_CONTENT_TYPE);
            $image = 'data:'.$contentType.';base64,'.base64_encode($result);
        }
        curl_close($curl);
    }

    return $image;
}
